org.springframework.data.jdbc.core.convert

## Interface RelationResolver

All Known Subinterfaces:
  DataAccessStrategy

All Known Implementing Classes:
  CascadingDataAccessStrategy, DefaultDataAccessStrategy, DelegatingDataAccessStrategy, MyBatisDataAccessStrategy

    public interface RelationResolver

Resolves relations within an aggregate.

Since:
  1.1
Author:
  Jens Schauder

### Method Summary

All Methods Instance Methods Abstract Methods
`Iterable<Object>` `findAllByPath(Identifier identifier, PersistentPropertyPath<? extends RelationalPersistentProperty> path)` Finds all entities reachable via path.

### Method Detail

#### findAllByPath

    Iterable<Object> findAllByPath(Identifier identifier,
                                   PersistentPropertyPath<? extends RelationalPersistentProperty> path)

Finds all entities reachable via path.

Parameters:
  `identifier` - the combination of Id, map keys and list indexes that identify the parent of the entity to be loaded. Must not be null.
  `path` - the path from the aggregate root to the entities to be resolved. Must not be null.
Returns:
  guaranteed to be not null.